router id {{ ansible_eth1.ipv4.address }}; # This instance's IPv4 address

filter export_bgp_v4 {
    if net ~ {{ smtp_bgp_export_prefix }} then accept;
    else {
        reject;
    }
}

protocol device {
  scan time 5;
}

protocol direct {
        disabled;
}

protocol kernel {
        learn;
        scan time 2;
        ipv4 {
              import all;
              export all;
        };
}

protocol kernel {
        learn;
        scan time 2;
        ipv6 {
              import all;
              export all;
        };
}

protocol bfd {
  accept ipv4 multihop;
}

protocol bgp nrec_peer1  {
  neighbor {{ smtp_bgp_peer1 }} port 179 as {{ smtp_bgp_their_as }};
  local {{ ansible_eth1.ipv4.address }} as {{ smtp_bgp_our_as }};
  multihop;
  password "{{ smtp_bgp_pwd }}";
  bfd graceful;
  ipv4 {
        import none;
        export filter export_bgp_v4;
        gateway recursive;
      };
  ipv6 {
        import none;
        export none;
        };
  source address {{ ansible_eth1.ipv4.address }};
}

protocol bgp nrec_peer2  {
  neighbor {{ smtp_bgp_peer2 }} port 179 as {{ smtp_bgp_their_as }};
  local {{ ansible_eth1.ipv4.address }} as {{ smtp_bgp_our_as }};
  multihop;
  password "{{ smtp_bgp_pwd }}";
  bfd graceful;
  ipv4 {
        import none;
        export filter export_bgp_v4;
        gateway recursive;
        };
  ipv6 {
        import none;
        export none;
        };
  source address {{ ansible_eth1.ipv4.address }};
}
